curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"description": "Summarize articles with configurable length and format",
"template_content": "Please summarize the following article.\n\nStyle: {{style}}\nMax words: {{max_words}}\n\nArticle:\n{{article_text}}"
}' \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/prompts/2"
{
"id": 2,
"server_id": 1,
"name": "summarize_article",
"description": "Summarize articles with configurable length and format",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style", "required": false},
{"name": "max_words", "description": "Maximum word count", "required": false}
],
"template_content": "Please summarize the following article.\n\nStyle: {{style}}\nMax words: {{max_words}}\n\nArticle:\n{{article_text}}",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T15:00:00"
}
Update an existing prompt template.
curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"description": "Summarize articles with configurable length and format",
"template_content": "Please summarize the following article.\n\nStyle: {{style}}\nMax words: {{max_words}}\n\nArticle:\n{{article_text}}"
}' \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/prompts/2"
{
"id": 2,
"server_id": 1,
"name": "summarize_article",
"description": "Summarize articles with configurable length and format",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style", "required": false},
{"name": "max_words", "description": "Maximum word count", "required": false}
],
"template_content": "Please summarize the following article.\n\nStyle: {{style}}\nMax words: {{max_words}}\n\nArticle:\n{{article_text}}",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T15:00:00"
}
curl -X POST \
-H "Authorization: Bearer gmcp_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"description": "Summarize articles with configurable length and format",
"template_content": "Please summarize the following article.\n\nStyle: {{style}}\nMax words: {{max_words}}\n\nArticle:\n{{article_text}}"
}' \
"https://yoursite.com/wp-json/getmcp/v1/servers/1/prompts/2"
{
"id": 2,
"server_id": 1,
"name": "summarize_article",
"description": "Summarize articles with configurable length and format",
"arguments": [
{"name": "article_text", "description": "The full article text", "required": true},
{"name": "style", "description": "Summary style", "required": false},
{"name": "max_words", "description": "Maximum word count", "required": false}
],
"template_content": "Please summarize the following article.\n\nStyle: {{style}}\nMax words: {{max_words}}\n\nArticle:\n{{article_text}}",
"created_at": "2025-03-18T10:00:00",
"updated_at": "2025-03-18T15:00:00"
}